Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class NativeJavaList

    java.lang.Object
      org.mozilla.javascript.NativeJavaObject
          org.eclipse.birt.core.script.NativeJavaList

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Wrapper

    public class NativeJavaList

extends org.mozilla.javascript.NativeJavaObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.NativeJavaObject
`javaObject, members, parent, prototype, staticType`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`NativeJavaList()`
`NativeJavaList(org.mozilla.javascript.Scriptable scope, java.lang.Object javaObject, java.lang.Class staticType)`

Method Summary
`java.lang.Object` | `get(int index, org.mozilla.javascript.Scriptable start)`
`boolean` | `has(int index, org.mozilla.javascript.Scriptable start)`
`void` | `put(int index, org.mozilla.javascript.Scriptable start, java.lang.Object value)`

Methods inherited from class org.mozilla.javascript.NativeJavaObject
`canConvert, coerceType, delete, delete, get, getClassName, getDefaultValue, getIds, getParentScope, getPrototype, has, hasInstance, initMembers, put, setParentScope, setPrototype, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeJavaList

    public NativeJavaList()

### NativeJavaList

    public NativeJavaList(org.mozilla.javascript.Scriptable scope,
                          java.lang.Object javaObject,
                          java.lang.Class staticType)

Method Detail

### has

    public boolean has(int index,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `has` in class `org.mozilla.javascript.NativeJavaObject`

### get

    public java.lang.Object get(int index,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `org.mozilla.javascript.NativeJavaObject`

### put

    public void put(int index,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `put` in class `org.mozilla.javascript.NativeJavaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.